<?php

namespace domain\Document\Quotation;

use domain\Document\Document\DocumentModule;
use domain\Document\Document\DocumentSolver;

class QuotationModule extends DocumentModule
{
    public function getServices(): array
    {
        return [
            QuotationDefinition::class,
            DocumentSolver::class,
            QuotationRepository::class,
            QuotationBuilder::class,
        ];
    }

    public function getDefinition(): QuotationDefinition
    {
        return QuotationDefinition::getInstance();
    }

    public function getSolver(): DocumentSolver
    {
        return DocumentSolver::getInstance();
    }

    public function getRepository(): QuotationRepository
    {
        return QuotationRepository::getInstance();
    }

    public function getBuilder(): QuotationBuilder
    {
        return QuotationBuilder::getInstance();
    }
}